Liferay.Loader.define("commerce-frontend-js@3.0.43/ServiceProvider/commerce-admin-pricing/v2.0/PriceEntry", ['module', 'exports', 'require', '../../../utilities/AJAX/index'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _index = _interopRequireDefault(require("../../../utilities/AJAX/index"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    var VERSION = 'v2.0';

    function resolvePath(basePath, priceListId, priceEntryId) {
      var path = "".concat(basePath).concat(VERSION, "/price-lists/").concat(priceListId, "/price-entries");

      if (priceEntryId) {
        path += "/".concat(priceEntryId);
      }

      return path;
    }

    var _default = function _default(basePath) {
      return {
        addPriceEntry: function addPriceEntry(priceListId, json) {
          return _index.default.POST(resolvePath(basePath, priceListId), json);
        }
      };
    };

    exports.default = _default;
    //# sourceMappingURL=PriceEntry.js.map
  }
});
//# sourceMappingURL=PriceEntry.js.map