Liferay.Loader.define("commerce-frontend-js@3.0.43/ServiceProvider/commerce-admin-pricing/v2.0/PriceListAccountGroup", ['module', 'exports', 'require', '../../../utilities/AJAX/index'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _index = _interopRequireDefault(require("../../../utilities/AJAX/index"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    var PRICE_LISTS_PATH = '/price-lists';
    var PRICE_LIST_RULES_PATH = '/price-list-account-groups';
    var VERSION = 'v2.0';

    function resolvePath() {
      var basePath = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
      var priceListId = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '';
      var priceListAccountGroupId = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : '';
      return "".concat(basePath).concat(VERSION).concat(PRICE_LISTS_PATH, "/").concat(priceListId, "/").concat(PRICE_LIST_RULES_PATH, "/").concat(priceListAccountGroupId);
    }

    var _default = function _default(basePath) {
      return {
        addPriceListAccountGroup: function addPriceListAccountGroup(priceListId, json) {
          return _index.default.POST(resolvePath(basePath, priceListId), json);
        }
      };
    };

    exports.default = _default;
    //# sourceMappingURL=PriceListAccountGroup.js.map
  }
});
//# sourceMappingURL=PriceListAccountGroup.js.map