Liferay.Loader.define("commerce-frontend-js@3.0.43/ServiceProvider/composeAPI", ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.composeAPI = composeAPI;

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function composeAPI(version, APIs, baseEndpoint) {
      if (version in APIs) {
        return Object.values(APIs[version]).reduce(function (api, collectMethods) {
          return Object.assign(api, collectMethods(baseEndpoint));
        }, {});
      }

      throw new Error('The API version was not specified');
    }
    //# sourceMappingURL=composeAPI.js.map
  }
});
//# sourceMappingURL=composeAPI.js.map