Liferay.Loader.define("commerce-frontend-js@3.0.43/components/dropdown/Dropdown", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/drop-down', '@frontend-taglib-clay$clayui/icon', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', '../../utilities/eventsDefinitions', '../../utilities/index', '../../utilities/modals/index', '../modal/Modal'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _dropDown = _interopRequireDefault(require("@frontend-taglib-clay$clayui/drop-down"));

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _eventsDefinitions = require("../../utilities/eventsDefinitions");

    var _index = require("../../utilities/index");

    var _index2 = require("../../utilities/modals/index");

    var _Modal = _interopRequireDefault(require("../modal/Modal"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _extends() {
      _extends = Object.assign || function (target) {
        for (var i = 1; i < arguments.length; i++) {
          var source = arguments[i];for (var key in source) {
            if (Object.prototype.hasOwnProperty.call(source, key)) {
              target[key] = source[key];
            }
          }
        }return target;
      };return _extends.apply(this, arguments);
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function Dropdown(props) {
      var _useState = (0, _react.useState)(false),
          _useState2 = _slicedToArray(_useState, 2),
          active = _useState2[0],
          setActive = _useState2[1];

      var _useState3 = (0, _react.useState)('support-modal-' + (0, _index.getRandomId)()),
          _useState4 = _slicedToArray(_useState3, 1),
          dropdownSupportModalId = _useState4[0];

      function handleAction(_ref) {
        var onClick = _ref.onClick,
            _ref$target = _ref.target,
            target = _ref$target === void 0 ? 'link' : _ref$target,
            title = _ref.title,
            url = _ref.url;

        if (target.includes('modal')) {
          Liferay.fire(_eventsDefinitions.OPEN_MODAL, {
            closeOnSubmit: true,
            id: dropdownSupportModalId,
            size: (0, _index2.resolveModalSize)(target),
            title: title,
            url: url
          });
        }

        if (onClick) {
          eval(onClick);
        }
      }

      if (!props.items || !props.items.length) {
        return null;
      }

      var sortedItems = (0, _index.sortByKey)(props.items, 'order');
      return (/*#__PURE__*/_react.default.createElement(_dropDown.default, {
          active: active,
          onActiveChange: setActive,
          trigger: /*#__PURE__*/_react.default.createElement(_button.default, {
            className: "component-action dropdown-toggle",
            displayType: "unstyled"
          }, /*#__PURE__*/_react.default.createElement(_icon.default, {
            spritemap: props.spritemap,
            symbol: "ellipsis-v"
          }))
        }, /*#__PURE__*/_react.default.createElement(_Modal.default, {
          id: dropdownSupportModalId
        }), /*#__PURE__*/_react.default.createElement(_dropDown.default.ItemList, null, /*#__PURE__*/_react.default.createElement(_dropDown.default.Group, null, sortedItems.map(function (item, i) {
          var dropdownProps = item.target === 'modal' || item.onClick ? {
            onClick: function onClick(e) {
              e.preventDefault();
              setActive(false);
              return handleAction({
                onClick: item.onClick,
                target: item.target,
                title: item.title,
                url: item.href
              });
            }
          } : {
            'data-senna-off': true,
            href: item.href
          };
          return (/*#__PURE__*/_react.default.createElement(_dropDown.default.Item, _extends({
              key: i
            }, dropdownProps), item.icon && /*#__PURE__*/_react.default.createElement("span", {
              className: "pr-2"
            }, /*#__PURE__*/_react.default.createElement(_icon.default, {
              spritemap: props.spritemap,
              symbol: item.icon
            })), item.label)
          );
        }))))
      );
    }

    var _default = Dropdown;
    exports.default = _default;
    //# sourceMappingURL=Dropdown.js.map
  }
});
//# sourceMappingURL=Dropdown.js.map