Liferay.Loader.define("commerce-frontend-js@3.0.43/components/gallery/Overlay", ['module', 'exports', 'require', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', './Arrows'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = Overlay;

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _Arrows = _interopRequireDefault(require("./Arrows"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function Overlay(_ref) {
      var background = _ref.background,
          onClose = _ref.onClose,
          onNext = _ref.onNext,
          onPrev = _ref.onPrev,
          src = _ref.src,
          title = _ref.title;
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: "gallery-overlay",
          onClick: onClose,
          style: {
            background: background
          }
        }, /*#__PURE__*/_react.default.createElement("img", {
          alt: title,
          src: src
        }), /*#__PURE__*/_react.default.createElement(_Arrows.default, {
          onNext: onNext,
          onPrev: onPrev
        }))
      );
    }
    //# sourceMappingURL=Overlay.js.map
  }
});
//# sourceMappingURL=Overlay.js.map