Liferay.Loader.define("commerce-frontend-js@3.0.43/components/item_finder/Expose", ['module', 'exports', 'require', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = Expose;

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function Expose(_ref) {
      var active = _ref.active,
          children = _ref.children,
          onClose = _ref.onClose;

      var content = _react.default.useRef();

      _react.default.useEffect(function () {
        var handleEscKey = function handleEscKey(e) {
          return e.key === 'Escape' && onClose();
        };

        if (active) {
          window.addEventListener('keydown', handleEscKey);
        } else {
          window.removeEventListener('keydown', handleEscKey);
        }
      }, [active, onClose]);

      return (/*#__PURE__*/_react.default.createElement("div", {
          className: "expose mb-4 ".concat(active ? 'is-open' : 'is-closed')
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "expose__backdrop",
          onClick: onClose
        }), /*#__PURE__*/_react.default.createElement("div", {
          className: "expose__content",
          ref: content
        }, children))
      );
    }
    //# sourceMappingURL=Expose.js.map
  }
});
//# sourceMappingURL=Expose.js.map