Liferay.Loader.define("commerce-frontend-js@3.0.43/components/mini_cart/Header", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/icon', 'frontend-js-react-web$react', './MiniCartContext', './util/constants'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _MiniCartContext = _interopRequireDefault(require("./MiniCartContext"));

    var _constants = require("./util/constants");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function Header() {
      var _cartState$cartItems;

      var _useContext = (0, _react.useContext)(_MiniCartContext.default),
          cartState = _useContext.cartState,
          closeCart = _useContext.closeCart,
          labels = _useContext.labels,
          spritemap = _useContext.spritemap,
          toggleable = _useContext.toggleable;

      var numberOfItems = (cartState === null || cartState === void 0 ? void 0 : (_cartState$cartItems = cartState.cartItems) === null || _cartState$cartItems === void 0 ? void 0 : _cartState$cartItems.length) || 0;
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: 'mini-cart-header'
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: 'mini-cart-header-block'
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: 'mini-cart-header-title'
        }, /*#__PURE__*/_react.default.createElement("h3", null, !numberOfItems ? labels[_constants.ORDER_IS_EMPTY] : labels[_constants.YOUR_ORDER])), toggleable && /*#__PURE__*/_react.default.createElement("button", {
          className: 'mini-cart-close',
          onClick: closeCart
        }, /*#__PURE__*/_react.default.createElement(_icon.default, {
          spritemap: spritemap,
          symbol: 'times'
        }))))
      );
    }

    var _default = Header;
    exports.default = _default;
    //# sourceMappingURL=Header.js.map
  }
});
//# sourceMappingURL=Header.js.map