Liferay.Loader.define("commerce-frontend-js@3.0.43/components/mini_cart/MiniCartContext", ['module', 'exports', 'require', 'frontend-js-react-web$react', './util/labels'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _labels = require("./util/labels");

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    var MiniCartContext = /*#__PURE__*/_react.default.createContext({
      CartResource: {},
      CartViews: {},
      actionURLs: {},
      cartState: {},
      closeCart: function closeCart() {},
      displayDiscountLevels: false,
      displayTotalItemsQuantity: false,
      isOpen: false,
      isUpdating: false,
      labels: _labels.DEFAULT_LABELS,
      setIsUpdating: function setIsUpdating() {},
      spritemap: '',
      summaryDataMapper: function summaryDataMapper() {},
      toggleable: true,
      updateCartModel: function updateCartModel() {},
      updateCartState: function updateCartState() {}
    });

    var _default = MiniCartContext;
    exports.default = _default;
    //# sourceMappingURL=MiniCartContext.js.map
  }
});
//# sourceMappingURL=MiniCartContext.js.map