Liferay.Loader.define("commerce-frontend-js@3.0.43/components/mini_cart/Opener", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/icon', 'frontend-js-react-web$classnames', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', './MiniCartContext'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _classnames = _interopRequireDefault(require("frontend-js-react-web$classnames"));

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _MiniCartContext = _interopRequireDefault(require("./MiniCartContext"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function Opener(_ref) {
      var openCart = _ref.openCart;

      var _useContext = (0, _react.useContext)(_MiniCartContext.default),
          cartState = _useContext.cartState,
          displayTotalItemsQuantity = _useContext.displayTotalItemsQuantity,
          spritemap = _useContext.spritemap;

      var cartItems = cartState.cartItems,
          initialItemsQuantity = cartState.itemsQuantity,
          summary = cartState.summary,
          _useState = (0, _react.useState)(0),
          _useState2 = _slicedToArray(_useState, 2),
          numberOfItems = _useState2[0],
          setNumberOfItems = _useState2[1];

      (0, _react.useEffect)(function () {
        setNumberOfItems(initialItemsQuantity);
        return function () {};
      }, [initialItemsQuantity, setNumberOfItems]);
      (0, _react.useEffect)(function () {
        var itemsQuantityCountSource = displayTotalItemsQuantity ? summary : cartItems;

        if (itemsQuantityCountSource) {
          setNumberOfItems(itemsQuantityCountSource.itemsQuantity || itemsQuantityCountSource.length);
        }
      }, [cartItems, displayTotalItemsQuantity, summary, setNumberOfItems]);
      return (/*#__PURE__*/_react.default.createElement("button", {
          className: (0, _classnames.default)('mini-cart-opener', !!numberOfItems && 'has-badge'),
          "data-badge-count": numberOfItems,
          onClick: openCart
        }, /*#__PURE__*/_react.default.createElement(_icon.default, {
          spritemap: spritemap,
          symbol: 'shopping-cart'
        }))
      );
    }

    var _default = Opener;
    exports.default = _default;
    //# sourceMappingURL=Opener.js.map
  }
});
//# sourceMappingURL=Opener.js.map