Liferay.Loader.define("commerce-frontend-js@3.0.43/utilities/forms/index", ['module', 'exports', 'require', '../AJAX/index', './formsHelper'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.apiSubmit = apiSubmit;
    exports.default = void 0;

    var _index = _interopRequireDefault(require("../AJAX/index"));

    var _formsHelper = require("./formsHelper");

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function apiSubmit(formElement) {
      var API_URL = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;

      if ((0, _formsHelper.isFormElement)(formElement)) {
        var jsonData = (0, _formsHelper.toJSON)(new FormData(formElement));
        return _index.default.POST(API_URL, jsonData);
      }

      return Promise.reject(new Error('Not a form.'));
    }

    var _default = {
      apiSubmit: apiSubmit
    };
    exports.default = _default;
    //# sourceMappingURL=index.js.map
  }
});
//# sourceMappingURL=index.js.map