Liferay.Loader.define('commerce-frontend-js@3.0.43/utilities/slugify', ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = slugify;

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function slugify(str) {
      str = str.replace(/^\s+|\s+$/g, '');
      str = str.toLowerCase();
      var from = 'àáäâèéëêìíïîòóöôùúüûñç·/_,:;';


      for (var i = 0, l = from.length; i < l; i++) {
        str = str.replace(new RegExp(from.charAt(i), 'g'), 'aaaaeeeeiiiioooouuuunc------'.charAt(i));
      }

      str = str.replace(/[^a-z0-9 -]/g, '').replace(/\s+/g, '-').replace(/-+/g, '-');
      return str;
    }
    //# sourceMappingURL=slugify.js.map
  }
});
//# sourceMappingURL=slugify.js.map