Liferay.Loader.define("change-tracking-web@1.0.78/publications/js/DropdownMenu", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/drop-down', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = DropdownMenu;

    var _button = require("@frontend-taglib-clay$clayui/button");

    var _dropDown = require("@frontend-taglib-clay$clayui/drop-down");

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function DropdownMenu(_ref) {
      var dropdownItems = _ref.dropdownItems,
          spritemap = _ref.spritemap;
      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_dropDown.ClayDropDownWithItems, {
          alignmentPosition: _dropDown.Align.BottomLeft,
          items: dropdownItems,
          spritemap: spritemap,
          trigger: /*#__PURE__*/_react.default.createElement(_button.ClayButtonWithIcon, {
            displayType: "unstyled",
            small: true,
            spritemap: spritemap,
            symbol: "ellipsis-v"
          })
        }))
      );
    }
    //# sourceMappingURL=DropdownMenu.js.map
  }
});
//# sourceMappingURL=DropdownMenu.js.map