Liferay.Loader.define("frontend-taglib-clay@6.6.17/data_set_display/management_bar/components/FilterResume", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/drop-down', '@frontend-taglib-clay$clayui/icon', '@frontend-taglib-clay$clayui/label', 'frontend-taglib-clay$classnames', 'frontend-taglib-clay$prop-types', 'frontend-js-react-web$react', './Context', './filters/index'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _dropDown = _interopRequireDefault(require("@frontend-taglib-clay$clayui/drop-down"));

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _label = _interopRequireDefault(require("@frontend-taglib-clay$clayui/label"));

    var _classnames = _interopRequireDefault(require("frontend-taglib-clay$classnames"));

    var _propTypes = _interopRequireDefault(require("frontend-taglib-clay$prop-types"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _Context = require("./Context");

    var _index = require("./filters/index");

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _extends() {
      _extends = Object.assign || function (target) {
        for (var i = 1; i < arguments.length; i++) {
          var source = arguments[i];for (var key in source) {
            if (Object.prototype.hasOwnProperty.call(source, key)) {
              target[key] = source[key];
            }
          }
        }return target;
      };return _extends.apply(this, arguments);
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function FilterResume(props) {
      var _useAppState = (0, _Context.useAppState)(),
          actions = _useAppState.actions;

      var _useState = (0, _react.useState)(false),
          _useState2 = _slicedToArray(_useState, 2),
          open = _useState2[0],
          setOpen = _useState2[1];

      var label = /*#__PURE__*/_react.default.createElement(_label.default, {
        className: (0, _classnames.default)('filter-resume component-label tbar-label mr-2', props.disabled && 'disabled', open && 'active'),
        closeButtonProps: {
          className: 'filter-resume-close',
          disabled: props.disabled,
          onClick: function onClick() {
            return actions.updateFilterState(props.id);
          }
        },
        role: "button"
      }, /*#__PURE__*/_react.default.createElement("div", {
        className: "filter-resume-content"
      }, /*#__PURE__*/_react.default.createElement(_icon.default, {
        className: "mr-2",
        symbol: open ? 'caret-top' : 'caret-bottom'
      }), /*#__PURE__*/_react.default.createElement("div", {
        className: "label-section"
      }, props.label, ": ", props.formattedValue)));

      var dropDown = /*#__PURE__*/_react.default.createElement(_dropDown.default, {
        active: open,
        className: "d-inline-flex",
        onActiveChange: setOpen,
        trigger: label
      }, /*#__PURE__*/_react.default.createElement("li", {
        className: "dropdown-subheader"
      }, props.label), /*#__PURE__*/_react.default.createElement(_index.Filter, _extends({
        actions: actions
      }, props)));

      return props.disabled ? label : dropDown;
    }

    FilterResume.propTypes = {
      disabled: _propTypes.default.bool,
      formattedValue: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number]),
      id: _propTypes.default.string,
      label: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number])
    };
    var _default = FilterResume;
    exports.default = _default;
    //# sourceMappingURL=FilterResume.js.map
  }
});
//# sourceMappingURL=FilterResume.js.map