Liferay.Loader.define("frontend-taglib-clay@6.6.17/data_set_display/management_bar/index", ['module', 'exports', 'require', 'frontend-taglib-clay$prop-types', 'frontend-js-react-web$react', './components/ActiveFiltersBar', './components/BulkActions', './components/Context', './components/NavBar'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _propTypes = _interopRequireDefault(require("frontend-taglib-clay$prop-types"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _ActiveFiltersBar = _interopRequireDefault(require("./components/ActiveFiltersBar"));

    var _BulkActions = _interopRequireDefault(require("./components/BulkActions"));

    var _Context = require("./components/Context");

    var _NavBar = _interopRequireDefault(require("./components/NavBar"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _objectWithoutProperties(source, excluded) {
      if (source == null) return {};var target = _objectWithoutPropertiesLoose(source, excluded);var key, i;if (Object.getOwnPropertySymbols) {
        var sourceSymbolKeys = Object.getOwnPropertySymbols(source);for (i = 0; i < sourceSymbolKeys.length; i++) {
          key = sourceSymbolKeys[i];if (excluded.indexOf(key) >= 0) continue;if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;target[key] = source[key];
        }
      }return target;
    }

    function _objectWithoutPropertiesLoose(source, excluded) {
      if (source == null) return {};var target = {};var sourceKeys = Object.keys(source);var key, i;for (i = 0; i < sourceKeys.length; i++) {
        key = sourceKeys[i];if (excluded.indexOf(key) >= 0) continue;target[key] = source[key];
      }return target;
    }

    function ManagementBar(_ref) {
      var bulkActions = _ref.bulkActions,
          creationMenu = _ref.creationMenu,
          fluid = _ref.fluid,
          onFiltersChange = _ref.onFiltersChange,
          selectAllItems = _ref.selectAllItems,
          selectedItemsKey = _ref.selectedItemsKey,
          selectedItemsValue = _ref.selectedItemsValue,
          selectionType = _ref.selectionType,
          showSearch = _ref.showSearch,
          total = _ref.total,
          views = _ref.views;

      var _useAppState = (0, _Context.useAppState)(),
          state = _useAppState.state;

      (0, _react.useEffect)(function () {
        onFiltersChange(state.filters); // eslint-disable-next-line react-hooks/exhaustive-deps
      }, [state.filters]);
      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, selectionType === 'multiple' && /*#__PURE__*/_react.default.createElement(_BulkActions.default, {
          bulkActions: bulkActions,
          fluid: fluid,
          selectAllItems: selectAllItems,
          selectedItemsKey: selectedItemsKey,
          selectedItemsValue: selectedItemsValue,
          total: total
        }), (!selectedItemsValue.length || selectionType === 'single') && /*#__PURE__*/_react.default.createElement(_NavBar.default, {
          creationMenu: creationMenu,
          showSearch: showSearch,
          views: views
        }), /*#__PURE__*/_react.default.createElement(_ActiveFiltersBar.default, {
          disabled: !!selectedItemsValue.length
        }))
      );
    }

    function Wrapper(_ref2) {
      var filters = _ref2.filters,
          otherProps = _objectWithoutProperties(_ref2, ["filters"]);

      return (/*#__PURE__*/_react.default.createElement(_Context.StoreProvider, {
          filters: filters
        }, /*#__PURE__*/_react.default.createElement(ManagementBar, otherProps))
      );
    }

    Wrapper.defaultProps = {
      filters: [],
      fluid: false,
      showSearch: true
    };
    var _default = Wrapper;
    exports.default = _default;
    //# sourceMappingURL=index.js.map
  }
});
//# sourceMappingURL=index.js.map