Liferay.Loader.define("frontend-taglib-clay@6.6.17/data_set_display/thunks/persistActiveView", ['module', 'exports', 'require', '../actions/updateActiveView', '../utilities/saveViewSettings'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = persistActiveView;

    var _updateActiveView = require("../actions/updateActiveView");

    var _saveViewSettings = require("../utilities/saveViewSettings");

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function persistActiveView(_ref) {
      var activeViewName = _ref.activeViewName,
          appURL = _ref.appURL,
          id = _ref.id,
          portletId = _ref.portletId;
      return function (dispatch) {
        dispatch((0, _updateActiveView.updateActiveView)(activeViewName));
        return (0, _saveViewSettings.saveViewSettings)({
          appURL: appURL,
          id: id,
          portletId: portletId,
          settings: {
            name: activeViewName
          }
        });
      };
    }
    //# sourceMappingURL=persistActiveView.js.map
  }
});
//# sourceMappingURL=persistActiveView.js.map