Liferay.Loader.define("depot-web@1.0.90/js/LanguageListItem.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/label', '@frontend-taglib-clay$clayui/table', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _label = _interopRequireDefault(require("@frontend-taglib-clay$clayui/label"));

    var _table = _interopRequireDefault(require("@frontend-taglib-clay$clayui/table"));

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    var LanguageListItem = function LanguageListItem(_ref) {
      var displayName = _ref.displayName,
          isDefault = _ref.isDefault;
      return (/*#__PURE__*/_react.default.createElement(_table.default.Row, null, /*#__PURE__*/_react.default.createElement(_table.default.Cell, {
          expanded: true
        }, displayName, isDefault && /*#__PURE__*/_react.default.createElement(_label.default, {
          className: "ml-3",
          displayType: "info"
        }, Liferay.Language.get('default'))))
      );
    };

    var _default = LanguageListItem;
    exports.default = _default;
    //# sourceMappingURL=LanguageListItem.es.js.map
  }
});
//# sourceMappingURL=LanguageListItem.es.js.map