Liferay.Loader.define("document-library-web@5.0.151/document_library/js/checkin/CheckinModal.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/form', '@frontend-taglib-clay$clayui/modal', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _form = _interopRequireWildcard(require("@frontend-taglib-clay$clayui/form"));

    var _modal = _interopRequireDefault(require("@frontend-taglib-clay$clayui/modal"));

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    var noop = function noop() {};

    var CheckinModal = function CheckinModal(_ref) {
      var checkedOut = _ref.checkedOut,
          observer = _ref.observer,
          _ref$onModalClose = _ref.onModalClose,
          onModalClose = _ref$onModalClose === void 0 ? noop : _ref$onModalClose,
          _ref$callback = _ref.callback,
          callback = _ref$callback === void 0 ? noop : _ref$callback,
          dlVersionNumberIncreaseValues = _ref.dlVersionNumberIncreaseValues;
      var MAJOR = dlVersionNumberIncreaseValues.MAJOR,
          MINOR = dlVersionNumberIncreaseValues.MINOR,
          NONE = dlVersionNumberIncreaseValues.NONE;

      var _useState = (0, _react.useState)(''),
          _useState2 = _slicedToArray(_useState, 2),
          changeLog = _useState2[0],
          setChangeLog = _useState2[1];

      var _useState3 = (0, _react.useState)(checkedOut ? MAJOR : MINOR),
          _useState4 = _slicedToArray(_useState3, 2),
          versionIncrease = _useState4[0],
          setVersionIncrease = _useState4[1];

      return (/*#__PURE__*/_react.default.createElement(_modal.default, {
          observer: observer,
          size: "md"
        }, /*#__PURE__*/_react.default.createElement(_modal.default.Header, null, Liferay.Language.get('describe-your-changes')), /*#__PURE__*/_react.default.createElement("form", {
          onSubmit: function handleSubmit(event) {
            event.preventDefault();
            callback(versionIncrease, changeLog);
          }
        }, /*#__PURE__*/_react.default.createElement(_modal.default.Body, null, /*#__PURE__*/_react.default.createElement("fieldset", {
          className: "fieldset"
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "h5"
        }, Liferay.Language.get('select-whether-this-is-a-major-or-minor-version')), /*#__PURE__*/_react.default.createElement(_form.ClayRadioGroup, {
          name: "versionIncrease",
          onSelectedValueChange: setVersionIncrease,
          selectedValue: versionIncrease
        }, /*#__PURE__*/_react.default.createElement(_form.ClayRadio, {
          label: Liferay.Language.get('major-version'),
          value: MAJOR
        }), /*#__PURE__*/_react.default.createElement(_form.ClayRadio, {
          label: Liferay.Language.get('minor-version'),
          value: MINOR
        }), /*#__PURE__*/_react.default.createElement(_form.ClayRadio, {
          label: Liferay.Language.get('keep-current-version-number'),
          value: NONE
        })), versionIncrease !== NONE && /*#__PURE__*/_react.default.createElement(_form.default.Group, null, /*#__PURE__*/_react.default.createElement("label", {
          htmlFor: "changeLog"
        }, Liferay.Language.get('version-notes')), /*#__PURE__*/_react.default.createElement(_form.ClayInput, {
          id: "changeLog",
          label: Liferay.Language.get('version-notes'),
          name: "changeLog",
          onChange: function handleChangeChangeLog(event) {
            setChangeLog(event.target.value);
          },
          type: "text"
        })))), /*#__PURE__*/_react.default.createElement(_modal.default.Footer, {
          last: /*#__PURE__*/_react.default.createElement(_button.default.Group, {
            spaced: true
          }, /*#__PURE__*/_react.default.createElement(_button.default, {
            displayType: "secondary",
            onClick: onModalClose
          }, Liferay.Language.get('cancel')), /*#__PURE__*/_react.default.createElement(_button.default, {
            displayType: "primary",
            type: "submit"
          }, Liferay.Language.get('save')))
        })))
      );
    };

    var _default = CheckinModal;
    exports.default = _default;
    //# sourceMappingURL=CheckinModal.es.js.map
  }
});
//# sourceMappingURL=CheckinModal.es.js.map