Liferay.Loader.define("item-selector-taglib@4.2.17/item_selector_preview/js/Header.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/icon', '@frontend-taglib-clay$clayui/layout', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _layout = _interopRequireDefault(require("@frontend-taglib-clay$clayui/layout"));

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    var Header = function Header(_ref) {
      var _ref$disabledAddButto = _ref.disabledAddButton,
          disabledAddButton = _ref$disabledAddButto === void 0 ? false : _ref$disabledAddButto,
          handleClickAdd = _ref.handleClickAdd,
          handleClickBack = _ref.handleClickBack,
          handleClickEdit = _ref.handleClickEdit,
          headerTitle = _ref.headerTitle,
          infoButtonRef = _ref.infoButtonRef,
          showEditIcon = _ref.showEditIcon,
          showInfoIcon = _ref.showInfoIcon;
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: "navbar navigation-bar navigation-bar-light"
        }, /*#__PURE__*/_react.default.createElement(_layout.default.ContainerFluid, {
          className: "header"
        }, /*#__PURE__*/_react.default.createElement("nav", {
          className: "navbar navbar-expand-md navbar-underline navigation-bar navigation-bar-light"
        }, /*#__PURE__*/_react.default.createElement(_layout.default.ContainerFluid, null, /*#__PURE__*/_react.default.createElement("ul", {
          className: "navbar-nav"
        }, /*#__PURE__*/_react.default.createElement("li", {
          className: "nav-item"
        }, /*#__PURE__*/_react.default.createElement(_button.default, {
          borderless: true,
          displayType: "secondary",
          monospaced: true,
          onClick: handleClickBack
        }, /*#__PURE__*/_react.default.createElement(_icon.default, {
          symbol: "angle-left"
        }))), /*#__PURE__*/_react.default.createElement("li", {
          className: "d-none d-sm-inline-flex nav-item"
        }, /*#__PURE__*/_react.default.createElement("strong", null, headerTitle))))), /*#__PURE__*/_react.default.createElement("nav", {
          className: "navbar navbar-expand-md navbar-underline navigation-bar navigation-bar-light"
        }, /*#__PURE__*/_react.default.createElement(_layout.default.ContainerFluid, null, /*#__PURE__*/_react.default.createElement("ul", {
          className: "navbar-nav"
        }, showEditIcon && /*#__PURE__*/_react.default.createElement("li", {
          className: "btn-group-item nav-item"
        }, /*#__PURE__*/_react.default.createElement(_button.default, {
          borderless: true,
          displayType: "secondary",
          monospaced: true,
          onClick: handleClickEdit
        }, /*#__PURE__*/_react.default.createElement(_icon.default, {
          symbol: "pencil"
        }))), showInfoIcon && /*#__PURE__*/_react.default.createElement("li", {
          className: "btn-group-item nav-item"
        }, /*#__PURE__*/_react.default.createElement(_button.default, {
          borderless: true,
          displayType: "secondary",
          id: "infoButtonRef",
          monospaced: true,
          ref: infoButtonRef
        }, /*#__PURE__*/_react.default.createElement(_icon.default, {
          symbol: "info-panel-open"
        }))), /*#__PURE__*/_react.default.createElement("li", {
          className: "nav-item"
        }, /*#__PURE__*/_react.default.createElement(_button.default, {
          disabled: disabledAddButton,
          displayType: "primary",
          onClick: handleClickAdd
        }, Liferay.Language.get('add'))))))))
      );
    };

    var _default = Header;
    exports.default = _default;
    //# sourceMappingURL=Header.es.js.map
  }
});
//# sourceMappingURL=Header.es.js.map