Liferay.Loader.define("commerce-frontend-js@3.0.43/ServiceProvider/commerce-admin-catalog/v1.0/ProductGroups", ['module', 'exports', 'require', '../../../utilities/AJAX/index'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _index = _interopRequireDefault(require("../../../utilities/AJAX/index"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    var PRODUCT_GROUPS_PATH = '/product-groups';
    var VERSION = 'v1.0';

    function resolvePath() {
      var basePath = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
      var productGroupId = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '';
      return "".concat(basePath).concat(VERSION).concat(PRODUCT_GROUPS_PATH, "/").concat(productGroupId);
    }

    var _default = function _default(basePath) {
      return {
        addProductGroup: function addProductGroup(json) {
          return _index.default.POST("".concat(resolvePath(basePath)), json);
        },
        addProductToProductGroup: function addProductToProductGroup(id, json) {
          return _index.default.POST("".concat(resolvePath(basePath, id), "/product-group-products"), json);
        }
      };
    };

    exports.default = _default;
    //# sourceMappingURL=ProductGroups.js.map
  }
});
//# sourceMappingURL=ProductGroups.js.map