Liferay.Loader.define("commerce-frontend-js@3.0.43/components/data_renderers/BooleanRenderer", ['module', 'exports', 'require', 'frontend-js-react-web$prop-types'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function BooleanRenderer(props) {
      if (typeof props.value !== 'boolean') {
        return null;
      }

      return props.value ? props.options.trueLabel || Liferay.Language.get('yes') : props.options.falseLabel || Liferay.Language.get('no');
    }

    BooleanRenderer.propTypes = {
      options: _propTypes.default.shape({
        falseLabel: _propTypes.default.string,
        trueLabel: _propTypes.default.string
      }),
      value: _propTypes.default.bool
    };
    var _default = BooleanRenderer;
    exports.default = _default;
    //# sourceMappingURL=BooleanRenderer.js.map
  }
});
//# sourceMappingURL=BooleanRenderer.js.map