Liferay.Loader.define("commerce-frontend-js@3.0.43/components/data_renderers/TooltipTextRenderer", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/icon', '@frontend-taglib-clay$clayui/tooltip', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _tooltip = require("@frontend-taglib-clay$clayui/tooltip");

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function TooltipText(_ref) {
      var text = _ref.text;
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: "bg-dark"
        }, /*#__PURE__*/_react.default.createElement("p", null, text))
      );
    }

    function TooltipTextRenderer(_ref2) {
      var value = _ref2.value;
      var iconSymbol = value.iconSymbol,
          text = value.text;
      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_tooltip.ClayTooltipProvider, {
          contentRenderer: function contentRenderer() {
            return (/*#__PURE__*/_react.default.createElement(TooltipText, {
                text: text
              })
            );
          },
          delay: 0
        }, /*#__PURE__*/_react.default.createElement("span", {
          className: "tooltip-provider"
        }, /*#__PURE__*/_react.default.createElement(_icon.default, {
          symbol: iconSymbol
        }))))
      );
    }

    TooltipTextRenderer.defaultProps = {
      value: {
        iconSymbol: 'info-circle',
        text: 'This is a sample text'
      }
    };
    var _default = TooltipTextRenderer;
    exports.default = _default;
    //# sourceMappingURL=TooltipTextRenderer.js.map
  }
});
//# sourceMappingURL=TooltipTextRenderer.js.map