Liferay.Loader.define("commerce-frontend-js@3.0.43/components/dataset_display/management_bar/components/BulkActions", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/icon', '@frontend-taglib-clay$clayui/link', '@frontend-taglib-clay$clayui/loading-indicator', 'frontend-js-react-web$classnames', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', '../../../../utilities/eventsDefinitions', '../../../../utilities/sidePanels', '../../DatasetDisplayContext'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _link = _interopRequireDefault(require("@frontend-taglib-clay$clayui/link"));

    var _loadingIndicator = _interopRequireDefault(require("@frontend-taglib-clay$clayui/loading-indicator"));

    var _classnames = _interopRequireDefault(require("frontend-js-react-web$classnames"));

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _eventsDefinitions = require("../../../../utilities/eventsDefinitions");

    var _sidePanels = require("../../../../utilities/sidePanels");

    var _DatasetDisplayContext = _interopRequireDefault(require("../../DatasetDisplayContext"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });keys.push.apply(keys, symbols);
      }return keys;
    }

    function _objectSpread(target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
          ownKeys(Object(source), true).forEach(function (key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function (key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }return target;
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    function submit(action) {
      var method = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'post';
      var formId = arguments.length > 2 ? arguments[2] : undefined;
      var form = arguments.length > 3 ? arguments[3] : undefined;
      var queriedForm;

      if (formId) {
        queriedForm = document.getElementById(formId);
      }

      if (form.current) {
        queriedForm = form.current;
      }

      if (!queriedForm) {
        throw new Error('Form not found');
      }

      queriedForm.action = action;
      queriedForm.method = method;
      queriedForm.submit();
    }

    function getRichPayload(payload, key) {
      var values = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : [];

      var richPayload = _objectSpread(_objectSpread({}, payload), {}, {
        url: "".concat(payload.baseUrl).concat(payload.baseUrl.includes('?') ? '&' : '?').concat(key, "=").concat(values.join(','))
      });

      return richPayload;
    }

    function BulkActions(props) {
      var _useState = (0, _react.useState)(null),
          _useState2 = _slicedToArray(_useState, 2),
          currentSidePanelActionPayload = _useState2[0],
          setCurrentSidePanelActionPayload = _useState2[1];

      var _useContext = (0, _react.useContext)(_DatasetDisplayContext.default),
          actionLoading = _useContext.actionLoading,
          executeAsyncBulkAction = _useContext.executeAsyncBulkAction,
          formId = _useContext.formId,
          formRef = _useContext.formRef,
          highlightItems = _useContext.highlightItems,
          loadData = _useContext.loadData,
          sidePanelId = _useContext.sidePanelId;

      function handleSidePanelAction(action) {
        var sidePanelActionPayload = {
          baseUrl: action.href,
          id: sidePanelId,
          onAfterSubmit: function onAfterSubmit() {
            return loadData();
          },
          slug: action.slug || null
        };
        Liferay.fire(_eventsDefinitions.OPEN_SIDE_PANEL, getRichPayload(sidePanelActionPayload, props.selectedItemsKey, props.selectedItemsValue));
        highlightItems(props.selectedItemsValue);
        setCurrentSidePanelActionPayload(sidePanelActionPayload);
      }

      function handleAsyncAction(action) {
        executeAsyncBulkAction(action.href, action.method, action.bodyKeys);
      }

      function handleActionClick(e, action) {
        e.preventDefault();

        switch (action.target) {
          case 'sidePanel':
            handleSidePanelAction(action);
            break;

          case 'async':
          case 'headless':
            handleAsyncAction(action);
            break;

          default:
            submit(action.href, action.method || 'post', formId, formRef);
            break;
        }
      }

      (0, _react.useEffect)(function () {
        if (!currentSidePanelActionPayload) {
          return;
        }

        var currentOpenedSidePanel = (0, _sidePanels.getOpenedSidePanel)();

        if (currentOpenedSidePanel && currentOpenedSidePanel.id === currentSidePanelActionPayload.id && currentOpenedSidePanel.url.indexOf(currentSidePanelActionPayload.baseUrl) > -1) {
          Liferay.fire(_eventsDefinitions.OPEN_SIDE_PANEL, getRichPayload(currentSidePanelActionPayload, props.selectedItemsValue));
        }
      }, // eslint-disable-next-line react-hooks/exhaustive-deps
      [props.selectedItemsValue]);
      return props.selectedItemsValue.length ? /*#__PURE__*/_react.default.createElement("nav", {
        className: "management-bar management-bar-primary navbar navbar-expand-md pb-2 pt-2 subnav-tbar"
      }, /*#__PURE__*/_react.default.createElement("div", {
        className: (0, _classnames.default)('container-fluid container-fluid-max-xl py-1', props.fluid && 'px-0')
      }, /*#__PURE__*/_react.default.createElement("ul", {
        className: "navbar-nav"
      }, /*#__PURE__*/_react.default.createElement("li", {
        className: "nav-item"
      }, /*#__PURE__*/_react.default.createElement("span", {
        className: "text-truncate"
      }, props.selectedItemsValue.length, ' ', Liferay.Language.get('of'), " ", props.totalItemsCount, ' ', Liferay.Language.get('items-selected')), props.selectedItemsValue.length === props.totalItemsCount && /*#__PURE__*/_react.default.createElement(_link.default, {
        className: "ml-3",
        href: "#",
        onClick: function onClick(e) {
          e.preventDefault();
          props.selectAllItems();
        }
      }, Liferay.Language.get('select-all')))), /*#__PURE__*/_react.default.createElement("div", {
        className: "bulk-actions"
      }, props.bulkActions.map(function (action, i) {
        return (/*#__PURE__*/_react.default.createElement("button", {
            className: (0, _classnames.default)('btn btn-monospaced btn-link', i > 0 && 'ml-1'),
            disabled: actionLoading,
            key: action.label,
            onClick: function onClick(e) {
              return handleActionClick(e, action);
            },
            type: "button"
          }, actionLoading ? /*#__PURE__*/_react.default.createElement(_loadingIndicator.default, {
            small: true
          }) : /*#__PURE__*/_react.default.createElement(_icon.default, {
            symbol: action.icon
          }))
        );
      })))) : null;
    }

    var _default = BulkActions;
    exports.default = _default;
    //# sourceMappingURL=BulkActions.js.map
  }
});
//# sourceMappingURL=BulkActions.js.map