Liferay.Loader.define("commerce-frontend-js@3.0.43/components/dataset_display/management_bar/index", ['module', 'exports', 'require', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', './components/ActiveFiltersBar', './components/BulkActions', './components/Context', './components/NavBar'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _ActiveFiltersBar = _interopRequireDefault(require("./components/ActiveFiltersBar"));

    var _BulkActions = _interopRequireDefault(require("./components/BulkActions"));

    var _Context = _interopRequireWildcard(require("./components/Context"));

    var _NavBar = _interopRequireDefault(require("./components/NavBar"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _objectWithoutProperties(source, excluded) {
      if (source == null) return {};var target = _objectWithoutPropertiesLoose(source, excluded);var key, i;if (Object.getOwnPropertySymbols) {
        var sourceSymbolKeys = Object.getOwnPropertySymbols(source);for (i = 0; i < sourceSymbolKeys.length; i++) {
          key = sourceSymbolKeys[i];if (excluded.indexOf(key) >= 0) continue;if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;target[key] = source[key];
        }
      }return target;
    }

    function _objectWithoutPropertiesLoose(source, excluded) {
      if (source == null) return {};var target = {};var sourceKeys = Object.keys(source);var key, i;for (i = 0; i < sourceKeys.length; i++) {
        key = sourceKeys[i];if (excluded.indexOf(key) >= 0) continue;target[key] = source[key];
      }return target;
    }

    function ManagementBar(props) {
      var _useAppState = (0, _Context.default)(),
          state = _useAppState.state;

      (0, _react.useEffect)(function () {
        props.onFiltersChange(state.filters); // eslint-disable-next-line react-hooks/exhaustive-deps
      }, [JSON.stringify(state.filters)]);
      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, props.selectionType === 'multiple' && /*#__PURE__*/_react.default.createElement(_BulkActions.default, {
          bulkActions: props.bulkActions,
          fluid: props.fluid,
          selectAllItems: props.selectAllItems,
          selectedItemsKey: props.selectedItemsKey,
          selectedItemsValue: props.selectedItemsValue,
          totalItemsCount: props.totalItemsCount
        }), (!props.selectedItemsValue.length || props.selectionType === 'single') && /*#__PURE__*/_react.default.createElement(_NavBar.default, {
          activeView: props.activeView,
          creationMenuItems: props.creationMenuItems,
          setActiveView: props.setActiveView,
          showSearch: props.showSearch,
          views: props.views
        }), /*#__PURE__*/_react.default.createElement(_ActiveFiltersBar.default, {
          disabled: !!props.selectedItemsValue.length
        }))
      );
    }

    function Wrapper(props) {
      var filters = props.filters,
          otherProps = _objectWithoutProperties(props, ["filters"]);

      return (/*#__PURE__*/_react.default.createElement(_Context.StoreProvider, {
          filters: filters
        }, /*#__PURE__*/_react.default.createElement(ManagementBar, otherProps))
      );
    }

    Wrapper.defaultProps = {
      filters: [],
      fluid: false,
      showSearch: true
    };
    var _default = Wrapper;
    exports.default = _default;
    //# sourceMappingURL=index.js.map
  }
});
//# sourceMappingURL=index.js.map