Liferay.Loader.define("commerce-frontend-js@3.0.43/components/gallery/Thumbnail", ['module', 'exports', 'require', 'frontend-js-react-web$classnames', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = Thumbnail;

    var _classnames = _interopRequireDefault(require("frontend-js-react-web$classnames"));

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function Thumbnail(_ref) {
      var _ref$active = _ref.active,
          active = _ref$active === void 0 ? false : _ref$active,
          background = _ref.background,
          onClick = _ref.onClick,
          src = _ref.src,
          title = _ref.title;
      var cardClasses = (0, _classnames.default)('card', 'card-interactive', 'card-interactive-primary', {
        active: active
      });
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: cardClasses,
          onClick: onClick,
          style: {
            background: background
          }
        }, /*#__PURE__*/_react.default.createElement("div", {
          className: "aspect-ratio aspect-ratio-4-to-3"
        }, /*#__PURE__*/_react.default.createElement("img", {
          alt: title,
          className: "aspect-ratio-item-center-middle aspect-ratio-item-fluid aspect-ratio-item-vertical-fluid",
          src: src
        })))
      );
    }
    //# sourceMappingURL=Thumbnail.js.map
  }
});
//# sourceMappingURL=Thumbnail.js.map