Liferay.Loader.define("commerce-frontend-js@3.0.43/components/gallery/Thumbnails", ['module', 'exports', 'require', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react', './Thumbnail'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = Thumbnails;

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _Thumbnail = _interopRequireDefault(require("./Thumbnail"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function Thumbnails(_ref) {
      var background = _ref.background,
          images = _ref.images,
          onChange = _ref.onChange,
          _ref$selected = _ref.selected,
          selected = _ref$selected === void 0 ? false : _ref$selected;
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: "gallery-thumbnails"
        }, images.map(function (image, i) {
          return (/*#__PURE__*/_react.default.createElement(_Thumbnail.default, {
              active: selected === i,
              background: background,
              key: image.thumbnailUrl,
              onClick: onChange ? function () {
                return onChange(i);
              } : null,
              src: image.thumbnailUrl,
              title: image.title
            })
          );
        }))
      );
    }
    //# sourceMappingURL=Thumbnails.js.map
  }
});
//# sourceMappingURL=Thumbnails.js.map