Liferay.Loader.define('commerce-frontend-js@3.0.43/utilities/eventsDefinitions', ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = exports.UPDATE_DATASET_DISPLAY = exports.SIDE_PANEL_CLOSED = exports.PRODUCT_REMOVED = exports.PRODUCT_OPTIONS_CHANGED = exports.OPEN_SIDE_PANEL = exports.OPEN_MODAL = exports.IS_LOADING_MODAL = exports.IFRAME_LOADED = exports.DATASET_DISPLAY_UPDATED = exports.DATASET_ACTION_PERFORMED = exports.CURRENT_PRODUCT_UPDATED = exports.CURRENT_PRODUCT_STATUS_CHANGED = exports.CP_INSTANCE_CHANGED = exports.CLOSE_SIDE_PANEL = exports.CLOSE_MODAL = exports.CHANGE_ORDER = exports.CHANGE_ACCOUNT = exports.CART_PRODUCT_QUANTITY_CHANGED = exports.AUTOCOMPLETE_VALUE_UPDATED = exports.ADD_TO_ORDER = void 0;

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    var ADD_TO_ORDER = 'refreshCartUsingData';
    exports.ADD_TO_ORDER = ADD_TO_ORDER;
    var AUTOCOMPLETE_VALUE_UPDATED = 'autocomplete-updated';
    exports.AUTOCOMPLETE_VALUE_UPDATED = AUTOCOMPLETE_VALUE_UPDATED;
    var CART_PRODUCT_QUANTITY_CHANGED = 'quantity-changed-from-cart';
    exports.CART_PRODUCT_QUANTITY_CHANGED = CART_PRODUCT_QUANTITY_CHANGED;
    var CHANGE_ACCOUNT = 'accountSelected';
    exports.CHANGE_ACCOUNT = CHANGE_ACCOUNT;
    var CHANGE_ORDER = 'orderSelected';
    exports.CHANGE_ORDER = CHANGE_ORDER;
    var CLOSE_MODAL = 'close-modal';
    exports.CLOSE_MODAL = CLOSE_MODAL;
    var CLOSE_SIDE_PANEL = 'close-side-panel';
    exports.CLOSE_SIDE_PANEL = CLOSE_SIDE_PANEL;
    var CP_INSTANCE_CHANGED = 'product-instance-changed';
    exports.CP_INSTANCE_CHANGED = CP_INSTANCE_CHANGED;
    var CURRENT_PRODUCT_STATUS_CHANGED = 'current-product-status-changed';
    exports.CURRENT_PRODUCT_STATUS_CHANGED = CURRENT_PRODUCT_STATUS_CHANGED;
    var CURRENT_PRODUCT_UPDATED = 'current-product-updated';
    exports.CURRENT_PRODUCT_UPDATED = CURRENT_PRODUCT_UPDATED;
    var DATASET_ACTION_PERFORMED = 'data-set-action-performed';
    exports.DATASET_ACTION_PERFORMED = DATASET_ACTION_PERFORMED;
    var DATASET_DISPLAY_UPDATED = 'data-set-display-updated';
    exports.DATASET_DISPLAY_UPDATED = DATASET_DISPLAY_UPDATED;
    var IFRAME_LOADED = 'iframe-loaded';
    exports.IFRAME_LOADED = IFRAME_LOADED;
    var IS_LOADING_MODAL = 'is-loading-modal';
    exports.IS_LOADING_MODAL = IS_LOADING_MODAL;
    var OPEN_MODAL = 'open-modal';
    exports.OPEN_MODAL = OPEN_MODAL;
    var OPEN_SIDE_PANEL = 'open-side-panel';
    exports.OPEN_SIDE_PANEL = OPEN_SIDE_PANEL;
    var PRODUCT_OPTIONS_CHANGED = 'product-options-changed';
    exports.PRODUCT_OPTIONS_CHANGED = PRODUCT_OPTIONS_CHANGED;
    var PRODUCT_REMOVED = 'productRemovedFromCart';
    exports.PRODUCT_REMOVED = PRODUCT_REMOVED;
    var SIDE_PANEL_CLOSED = 'side-panel-closed';
    exports.SIDE_PANEL_CLOSED = SIDE_PANEL_CLOSED;
    var UPDATE_DATASET_DISPLAY = 'update-data-set-display';
    exports.UPDATE_DATASET_DISPLAY = UPDATE_DATASET_DISPLAY;
    var _default = {
      ADD_TO_ORDER: ADD_TO_ORDER,
      AUTOCOMPLETE_VALUE_UPDATED: AUTOCOMPLETE_VALUE_UPDATED,
      CART_PRODUCT_QUANTITY_CHANGED: CART_PRODUCT_QUANTITY_CHANGED,
      CHANGE_ACCOUNT: CHANGE_ACCOUNT,
      CHANGE_ORDER: CHANGE_ORDER,
      CLOSE_MODAL: CLOSE_MODAL,
      CLOSE_SIDE_PANEL: CLOSE_SIDE_PANEL,
      CP_INSTANCE_CHANGED: CP_INSTANCE_CHANGED,
      CURRENT_PRODUCT_STATUS_CHANGED: CURRENT_PRODUCT_STATUS_CHANGED,
      CURRENT_PRODUCT_UPDATED: CURRENT_PRODUCT_UPDATED,
      DATASET_ACTION_PERFORMED: DATASET_ACTION_PERFORMED,
      DATASET_DISPLAY_UPDATED: DATASET_DISPLAY_UPDATED,
      IFRAME_LOADED: IFRAME_LOADED,
      IS_LOADING_MODAL: IS_LOADING_MODAL,
      OPEN_MODAL: OPEN_MODAL,
      OPEN_SIDE_PANEL: OPEN_SIDE_PANEL,
      PRODUCT_OPTIONS_CHANGED: PRODUCT_OPTIONS_CHANGED,
      PRODUCT_REMOVED: PRODUCT_REMOVED,
      SIDE_PANEL_CLOSED: SIDE_PANEL_CLOSED,
      UPDATE_DATASET_DISPLAY: UPDATE_DATASET_DISPLAY
    };
    exports.default = _default;
    //# sourceMappingURL=eventsDefinitions.js.map
  }
});
//# sourceMappingURL=eventsDefinitions.js.map