Liferay.Loader.define("commerce-frontend-js@3.0.43/utilities/modules", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/loading-indicator', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.getLiferayJsModule = getLiferayJsModule;
    exports.getFakeJsModule = getFakeJsModule;
    exports.getComponentByModuleUrl = getComponentByModuleUrl;
    exports.useLiferayModule = useLiferayModule;
    exports.fetchedJsModules = exports.getJsModule = void 0;

    var _loadingIndicator = _interopRequireDefault(require("@frontend-taglib-clay$clayui/loading-indicator"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _Liferay$Loader;

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function getLiferayJsModule(moduleUrl) {
      return new Promise(function (resolve, reject) {
        Liferay.Loader.require(moduleUrl, function (jsModule) {
          return resolve(jsModule.default || jsModule);
        }, function (err) {
          return reject(err);
        });
      });
    }

    function getFakeJsModule() {
      return new Promise(function (resolve) {
        setTimeout(function () {
          return resolve(function () {
            return (/*#__PURE__*/_react.default.createElement("div", {
                className: "custom-component"
              }, "fakely fetched component")
            );
          });
        }, 3000);
      });
    }

    var getJsModule = ((_Liferay$Loader = Liferay.Loader) === null || _Liferay$Loader === void 0 ? void 0 : _Liferay$Loader.require) ? getLiferayJsModule : getFakeJsModule;
    exports.getJsModule = getJsModule;
    var fetchedJsModules = [];
    exports.fetchedJsModules = fetchedJsModules;

    function getComponentByModuleUrl(url) {
      return new Promise(function (resolve, reject) {
        var foundModule = fetchedJsModules.find(function (cr) {
          return cr.url === url;
        });

        if (foundModule) {
          resolve(foundModule.component);
        }

        return getJsModule(url).then(function (fetchedComponent) {
          fetchedJsModules.push({
            component: fetchedComponent,
            url: url
          });
          return resolve(fetchedComponent);
        }).catch(reject);
      });
    }

    function useLiferayModule(moduleUrl) {
      var LoadingComponent = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : _loadingIndicator.default;

      var _useState = (0, _react.useState)(moduleUrl ? LoadingComponent : null),
          _useState2 = _slicedToArray(_useState, 2),
          Component = _useState2[0],
          updateComponent = _useState2[1];

      (0, _react.useEffect)(function () {
        if (moduleUrl) {
          getComponentByModuleUrl(moduleUrl).then(function (module) {
            updateComponent(function () {
              return module;
            });
          });
        }
      }, [moduleUrl]);
      return Component;
    }
    //# sourceMappingURL=modules.js.map
  }
});
//# sourceMappingURL=modules.js.map