Liferay.Loader.define("commerce-frontend-js@3.0.43/utilities/odata", ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = createOdataFilter;

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function createOdataFilter(filters) {
      if (!filters.length) {
        return null;
      }

      return filters.map(function (filter) {
        return filter.odataFilterString;
      }).map(function (filterString) {
        return "(".concat(filterString, ")");
      }).join(' and ');
    }
    //# sourceMappingURL=odata.js.map
  }
});
//# sourceMappingURL=odata.js.map