Liferay.Loader.define("frontend-taglib-clay@6.6.17/data_set_display/entry", ['module', 'exports', 'require', 'frontend-js-react-web', 'frontend-js-react-web$react', './AppContext', './DataSetDisplay', './views/ViewsContext'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _frontendJsReactWeb = require("frontend-js-react-web");

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _AppContext = require("./AppContext");

    var _DataSetDisplay = _interopRequireDefault(require("./DataSetDisplay"));

    var _ViewsContext = _interopRequireWildcard(require("./views/ViewsContext"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function _objectWithoutProperties(source, excluded) {
      if (source == null) return {};var target = _objectWithoutPropertiesLoose(source, excluded);var key, i;if (Object.getOwnPropertySymbols) {
        var sourceSymbolKeys = Object.getOwnPropertySymbols(source);for (i = 0; i < sourceSymbolKeys.length; i++) {
          key = sourceSymbolKeys[i];if (excluded.indexOf(key) >= 0) continue;if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;target[key] = source[key];
        }
      }return target;
    }

    function _objectWithoutPropertiesLoose(source, excluded) {
      if (source == null) return {};var target = {};var sourceKeys = Object.keys(source);var key, i;for (i = 0; i < sourceKeys.length; i++) {
        key = sourceKeys[i];if (excluded.indexOf(key) >= 0) continue;target[key] = source[key];
      }return target;
    }

    var App = function App(_ref) {
      var apiURL = _ref.apiURL,
          appURL = _ref.appURL,
          portletId = _ref.portletId,
          props = _objectWithoutProperties(_ref, ["apiURL", "appURL", "portletId"]);

      var _props$activeViewSett = props.activeViewSettings,
          activeViewName = _props$activeViewSett.name,
          _props$activeViewSett2 = _props$activeViewSett.visibleFieldNames,
          visibleFieldNames = _props$activeViewSett2 === void 0 ? {} : _props$activeViewSett2,
          views = props.views;
      var activeView = activeViewName ? views.find(function (_ref2) {
        var name = _ref2.name;
        return name === activeViewName;
      }) : views[0];

      var _useThunk = (0, _frontendJsReactWeb.useThunk)((0, _react.useReducer)(_ViewsContext.viewsReducer, {
        activeView: activeView,
        views: views,
        visibleFieldNames: visibleFieldNames
      })),
          _useThunk2 = _slicedToArray(_useThunk, 2),
          state = _useThunk2[0],
          dispatch = _useThunk2[1];

      return (/*#__PURE__*/_react.default.createElement(_AppContext.AppContext.Provider, {
          value: {
            apiURL: apiURL,
            appURL: appURL,
            portletId: portletId
          }
        }, /*#__PURE__*/_react.default.createElement(_ViewsContext.default.Provider, {
          value: [state, dispatch]
        }, /*#__PURE__*/_react.default.createElement(_DataSetDisplay.default, props)))
      );
    };

    var _default = function _default() {
      for (var _len = arguments.length, data = new Array(_len), _key = 0; _key < _len; _key++) {
        data[_key] = arguments[_key];
      }

      return _frontendJsReactWeb.render.apply(void 0, [App].concat(data));
    };

    exports.default = _default;
    //# sourceMappingURL=entry.js.map
  }
});
//# sourceMappingURL=entry.js.map