Liferay.Loader.define("frontend-taglib-clay@6.6.17/data_set_display/management_bar/components/NavBar", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/icon', '@frontend-taglib-clay$clayui/management-toolbar', 'frontend-taglib-clay$prop-types', 'frontend-js-react-web$react', './ActiveViewSelector', './Context', './CreationMenu', './FiltersDropdown', './MainSearch'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _managementToolbar = _interopRequireDefault(require("@frontend-taglib-clay$clayui/management-toolbar"));

    var _propTypes = _interopRequireDefault(require("frontend-taglib-clay$prop-types"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _ActiveViewSelector = _interopRequireDefault(require("./ActiveViewSelector"));

    var _Context = require("./Context");

    var _CreationMenu = _interopRequireDefault(require("./CreationMenu"));

    var _FiltersDropdown = _interopRequireDefault(require("./FiltersDropdown"));

    var _MainSearch = _interopRequireDefault(require("./MainSearch"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function NavBar(_ref) {
      var creationMenu = _ref.creationMenu,
          showSearch = _ref.showSearch,
          views = _ref.views;

      var _useAppState = (0, _Context.useAppState)(),
          filters = _useAppState.state.filters;

      var _useState = (0, _react.useState)(false),
          _useState2 = _slicedToArray(_useState, 2),
          showMobile = _useState2[0],
          setShowMobile = _useState2[1];

      return (/*#__PURE__*/_react.default.createElement(_managementToolbar.default, {
          className: "c-mb-0 justify-content-space-between"
        }, /*#__PURE__*/_react.default.createElement(_managementToolbar.default.ItemList, null, !!filters.length && /*#__PURE__*/_react.default.createElement(_managementToolbar.default.Item, null, /*#__PURE__*/_react.default.createElement(_FiltersDropdown.default, null))), showSearch && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_managementToolbar.default.Search, {
          onSubmit: function onSubmit(event) {
            event.preventDefault();
          },
          showMobile: showMobile
        }, /*#__PURE__*/_react.default.createElement(_MainSearch.default, {
          setShowMobile: setShowMobile
        }))), /*#__PURE__*/_react.default.createElement(_managementToolbar.default.ItemList, null, showSearch && /*#__PURE__*/_react.default.createElement(_managementToolbar.default.Item, {
          className: "navbar-breakpoint-d-none"
        }, /*#__PURE__*/_react.default.createElement(_button.default, {
          className: "nav-link nav-link-monospaced",
          displayType: "unstyled",
          onClick: function onClick() {
            return setShowMobile(true);
          }
        }, /*#__PURE__*/_react.default.createElement(_icon.default, {
          symbol: "search"
        }))), (views === null || views === void 0 ? void 0 : views.length) > 1 && /*#__PURE__*/_react.default.createElement(_managementToolbar.default.Item, null, /*#__PURE__*/_react.default.createElement(_ActiveViewSelector.default, {
          views: views
        })), creationMenu && /*#__PURE__*/_react.default.createElement(_managementToolbar.default.Item, null, /*#__PURE__*/_react.default.createElement(_CreationMenu.default, creationMenu))))
      );
    }

    NavBar.defaultProps = {
      creationMenu: {
        primaryItems: []
      },
      showSearch: true
    };
    var _default = NavBar;
    exports.default = _default;
    //# sourceMappingURL=NavBar.js.map
  }
});
//# sourceMappingURL=NavBar.js.map