Liferay.Loader.define("frontend-taglib-clay@6.6.17/data_set_display/management_bar/reducers/index", ['module', 'exports', 'require', '../actions/index'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = exports.initialState = void 0;

    var _index = require("../actions/index");

    function ownKeys(object, enumerableOnly) {
      var keys = Object.keys(object);if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);if (enumerableOnly) symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });keys.push.apply(keys, symbols);
      }return keys;
    }

    function _objectSpread(target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i] != null ? arguments[i] : {};if (i % 2) {
          ownKeys(Object(source), true).forEach(function (key) {
            _defineProperty(target, key, source[key]);
          });
        } else if (Object.getOwnPropertyDescriptors) {
          Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
        } else {
          ownKeys(Object(source)).forEach(function (key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
          });
        }
      }return target;
    }

    function _defineProperty(obj, key, value) {
      if (key in obj) {
        Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true });
      } else {
        obj[key] = value;
      }return obj;
    }

    var initialState = {
      filters: [],
      onFiltersChange: null
    };
    exports.initialState = initialState;

    function reducer() {
      var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
      var action = arguments.length > 1 ? arguments[1] : undefined;

      switch (action.type) {
        case _index.actionsDefinition.UPDATE_FILTER_STATE:
          return _objectSpread(_objectSpread({}, state), {}, {
            filters: state.filters.map(function (element) {
              return _objectSpread(_objectSpread({}, element), element.id === action.payload.id ? action.payload : {});
            })
          });

        case _index.actionsDefinition.RESET_FILTERS_VALUE:
          return _objectSpread(_objectSpread({}, state), {}, {
            filters: state.filters.map(function (element) {
              return _objectSpread(_objectSpread({}, element), {}, {
                additionalData: null,
                odataFilterString: null,
                resumeCustomLabel: null,
                value: null
              });
            })
          });

        default:
          return state;
      }
    }

    var _default = reducer;
    exports.default = _default;
    //# sourceMappingURL=index.js.map
  }
});
//# sourceMappingURL=index.js.map