Liferay.Loader.define("frontend-taglib-clay@6.6.17/data_set_display/thunks/persistVisibleFieldNames", ['module', 'exports', 'require', '../actions/updateVisibleFieldNames', '../utilities/saveViewSettings'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = persistVisibleFieldNames;

    var _updateVisibleFieldNames = require("../actions/updateVisibleFieldNames");

    var _saveViewSettings = require("../utilities/saveViewSettings");

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function persistVisibleFieldNames(_ref) {
      var appURL = _ref.appURL,
          id = _ref.id,
          portletId = _ref.portletId,
          visibleFieldNames = _ref.visibleFieldNames;
      return function (dispatch) {
        dispatch((0, _updateVisibleFieldNames.updateVisibleFieldNames)(visibleFieldNames));
        return (0, _saveViewSettings.saveViewSettings)({
          appURL: appURL,
          id: id,
          portletId: portletId,
          settings: {
            visibleFieldNames: visibleFieldNames
          }
        });
      };
    }
    //# sourceMappingURL=persistVisibleFieldNames.js.map
  }
});
//# sourceMappingURL=persistVisibleFieldNames.js.map