Liferay.Loader.define("depot-web@1.0.90/js/DepotAdminManagementToolbarDefaultEventHandler.es", ['module', 'exports', 'require', 'frontend-js-web', 'frontend-js-metal-web$metal-state', './confirmDepotEntryDeletion.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _frontendJsWeb = require("frontend-js-web");

    var _metalState = require("frontend-js-metal-web$metal-state");

    var _confirmDepotEntryDeletion = _interopRequireDefault(require("./confirmDepotEntryDeletion.es"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    function _createClass(Constructor, protoProps, staticProps) {
      if (protoProps) _defineProperties(Constructor.prototype, protoProps);if (staticProps) _defineProperties(Constructor, staticProps);return Constructor;
    }

    function _possibleConstructorReturn(self, call) {
      if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
      }return _assertThisInitialized(self);
    }

    function _assertThisInitialized(self) {
      if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      }return self;
    }

    function _getPrototypeOf(o) {
      _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
      };return _getPrototypeOf(o);
    }

    function _inherits(subClass, superClass) {
      if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
      }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
    }

    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
        o.__proto__ = p;return o;
      };return _setPrototypeOf(o, p);
    }

    var DepotAdminManagementToolbarDefaultEventHandler = /*#__PURE__*/function (_DefaultEventHandler) {
      _inherits(DepotAdminManagementToolbarDefaultEventHandler, _DefaultEventHandler);

      function DepotAdminManagementToolbarDefaultEventHandler() {
        _classCallCheck(this, DepotAdminManagementToolbarDefaultEventHandler);

        return _possibleConstructorReturn(this, _getPrototypeOf(DepotAdminManagementToolbarDefaultEventHandler).apply(this, arguments));
      }

      _createClass(DepotAdminManagementToolbarDefaultEventHandler, [{
        key: "addDepotEntry",
        value: function addDepotEntry(itemData) {
          (0, _frontendJsWeb.openSimpleInputModal)({
            dialogTitle: Liferay.Language.get('add-asset-library'),
            formSubmitURL: itemData.addDepotEntryURL,
            mainFieldLabel: Liferay.Language.get('name'),
            mainFieldName: 'name',
            namespace: this.namespace,
            spritemap: this.spritemap
          });
        }
      }, {
        key: "deleteSelectedDepotEntries",
        value: function deleteSelectedDepotEntries() {
          if ((0, _confirmDepotEntryDeletion.default)()) {
            var form = this.one('#fm');
            Liferay.Util.postForm(form, {
              data: {
                deleteEntryIds: Liferay.Util.listCheckedExcept(form, this.ns('allRowIds'))
              },
              url: this.deleteDepotEntriesURL
            });
          }
        }
      }]);

      return DepotAdminManagementToolbarDefaultEventHandler;
    }(_frontendJsWeb.DefaultEventHandler);

    DepotAdminManagementToolbarDefaultEventHandler.STATE = {
      deleteDepotEntriesURL: _metalState.Config.string(),
      spritemap: _metalState.Config.string()
    };
    var _default = DepotAdminManagementToolbarDefaultEventHandler;
    exports.default = _default;
    //# sourceMappingURL=DepotAdminManagementToolbarDefaultEventHandler.es.js.map
  }
});
//# sourceMappingURL=DepotAdminManagementToolbarDefaultEventHandler.es.js.map